<?php

declare(strict_types=1);

namespace Drupal\environment_context\ContextProvider;

/**
 * Provides the current environment name based on runtime context.
 */
interface EnvironmentResolverInterface {

  /**
   * Returns the current environment name as detected via event.
   *
   * @return string
   *   The machine name of the current environment, or the default one.
   */
  public function getCurrentEnvironment(): string;

}
